Skip to main content
GET
/
connect
/
v1
/
grants
/
{grantId}
Get a received grant
curl --request GET \
  --url https://api.voyant.travel/connect/v1/grants/{grantId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "operatorId": "<string>",
  "grantorOrganizationId": "<string>",
  "scopes": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "granteeOrganizationId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

grantId
string
required

Response

200 - application/json

A grant.

id
string
required
operatorId
string
required
grantorOrganizationId
string
required
status
enum<string>
required
Available options:
active,
paused,
revoked
scopes
string[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
granteeOrganizationId
string | null
expiresAt
string<date-time> | null